#ifndef MAIN_W25Q_SPI_H_
#define MAIN_W25Q_SPI_H_
//==================================================
#include <string.h>
#include <stdio.h>
#include <stdint.h>
#include "freertos/FreeRTOS.h"
#include "freertos/task.h"
#include <driver/gpio.h>
#include <driver/spi_master.h>
#include "esp_log.h"
//==================================================
#define    W25_ENABLE_RESET  0x66
#define    W25_RESET  0x99
#define    W25_READ  0x03
#define    W25_GET_JEDEC_ID  0x9f
//==================================================
typedef struct
{
    spi_device_interface_config_t spi_cfg;
    spi_device_handle_t spi_dev;
} w25q_t;
//==================================================
typedef struct
{
  uint16_t  PageSize;
  uint32_t  PageCount;
  uint32_t  SectorSize;
  uint32_t  SectorCount;
  uint32_t  BlockSize;
  uint32_t  BlockCount;
  uint32_t  NumKB;
  uint8_t   SR1;
  uint8_t   SR2;
  uint8_t   SR3;
}w25_info_t;
//==================================================
void w25_ini (w25q_t *dev, spi_host_device_t host, gpio_num_t cs_pin);
//==================================================
#endif /* MAIN_W25Q_SPI_H_ */
